# 更新历史

>2.1.6、2.1.7

- 修改文件上传入参

>2.1.1, 2.1.2, 2.1.3, 2.1.4、2.1.5

- perf: 文件上传前的样式改动，缩小页面占比

>2.1.0

- 支持大文件下载（批量下载保持不变，单个文件下载采用切片下载）
- 文件删除接口更换
- 优化切片上传参数控制（不影响业务层传参）

>2.0.0

- 支持大文件上传（切片上传），增扩文件上传最大支持大小至1000M，同步修改最大文件下载大小至1000M
- 新增：全局安装配置——fromCode，表示文件所在的中心
```javascript
Vue.use(ClassificationUploadFile, {
  tokenField: 'wti-manager-token',
  baseURL,
  fromCode: '10001100',
});
// fromCode：文件属于哪个中心
// 项目中心：10001100
// 交易中心：10001200
// 产品中心：10001300
// 清算中心：10001400
// 客户中心：10001500
// 代销中心：10001600
// 财富中心：10001700
// 内容中心：10001800
// 运营中心：10001900
// 投资中心：10002000
// 营销中心：10002100
// 合同中心：10002200
// devops：10002201
// 票据中心：10002300
```
- 新增：组件参数——customizationFromCode，取值同上，优先级大于全局配置属性fromCode
- 新增：组件参数——acquiescentFileSize，上传及下载所支持的文件大小，type：Number，默认值1000
- 新增：s3Config，type：object；现有属性：topDirectory: 'wti-document', owner: 'YTH', bucket: 'pub'
```text
// 后端S3存储配置
// 业务层可进行选配，在组件内部调用时，如果某个键没有在业务层配置时定义，组件也会自动添加默认值！
s3Config: {
    type: Object,
    default: ()=>{
        return {
            topDirectory: 'wti-document',
            owner: 'YTH',
            bucket: 'pub'
        };
    }
},
```
- fix：组件内提示支持文件大小同步使用控制字段acquiescentFileSize

>1.4.0，1.4.1

- 统一分类定制化配置字段：fileClassificationCustomizationConfig
- 新增支持文件分类指定上传数量
```javascript
const fileClassificationCustomizationConfig = {
    'DOCA0101': {
        limit: 2
    },
    'DOCA0102': {
        limit: 8
    }
}
```

>1.3.1

- 新增支持文件类型：ppt、pptx
- 修改上传文件大小、类型提示获取方式

>1.3.0

- 新增附件任意必填：anyIsRequired默认false（当为true时，不设置必传分类时也可进行文件必填校验，与必传分类互斥）
- @getEchoResidueFiles 支持上传（上传、删除、删除分类）监听文件更新，实时获取所有文件数据
- 修复bug：回显模式下，其他模块盒子名错误（必传附件-->上传附件）

>1.2.2

- bug修复：文件回显组件动态修改文件列表分类title未改变

>1.2.1

- 优化文件类型校验失败提示，多个错误提示信息合并

>1.2.0

- 作为回显组件时，添加文件删除功能（echoDeleteFile: 默认false）
- 作为回显组件时，添加删除文件告知业务层剩余文件信息方法（绑定方法：getEchoResidueFiles）
- 作为上传组件时，添加不能被删除的文件的id列表——将隐藏删除按钮（字段名：cannotBeDeletedFiles，默认空数组）
- 修改ext匹配规则（完全匹配改为以指定字符串开始匹配）

```vue
<ClassificationUploadFile ref="fileHandle" components-type="pureUpload"
                          :echo-delete-file="true"
                          :cannot-be-deleted-files="[ '1666697709240954880' ]"
                          @getEchoResidueFiles="getEchoResidueFiles"
                          ......
                          />
```

>1.1.2，1.1.3

- 补充readme

>1.1.1

- 添加事件发送：fileComponentMounted，告知使用者文件组件已经被挂载完成（特殊情况使用，如：wti-form动态修改配置）
- 添加参数：
  - otherModuleName: 默认值空，在录入时非必传附件模块展示为"上传附件"，在详情时展示为"非必传附件"
  - beCheckedModuleName：默认值为"必传附件"


>1.1.0

- 添加文件下载控制，对同一文件限制连续点击